Get product by ID
Retrieves product information including all associated prices. Response shape is identical to the `product.*` webhook payload. For per-price usage counts, call `GET /products/:id/stats`.
Retrieves product information including all associated prices. Response shape is identical to the product.* webhook payload. For per-price usage counts, call GET /products/:id/stats.
Authorization
api-key API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Path Parameters
Product ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/products/string"{ "id": "prod_abc123", "object": "product", "name": "Premium Plan", "description": "string", "image": "string", "unitLabel": "string", "externalId": "sku_1042", "active": true, "isSystemCreated": false, "metadata": { "property1": null, "property2": null }, "defaultPriceId": "string", "merchantId": "merch_xyz789", "prices": [ { "id": "price_abc123", "object": "price", "name": "string", "description": "string", "currency": "EGP", "unitAmount": 0, "type": "ONE_TIME", "recurring": {}, "customUnitAmount": {}, "stock": 0, "startDate": "string", "expirationDate": "string", "active": true, "lookupKey": "pro_monthly", "createdAt": "string", "updatedAt": "string", "productId": "string" } ], "createdAt": "string", "updatedAt": "string"}Get product by external ID GET
Retrieves a product by the `externalId` you gave it, such as your SKU. Same response as `GET /products/:id`.
Update product PATCH
Updates product information. Can update product data fields, default price, and image. - The `defaultPrice` field should be the ID of the Price object to set as the default price for this product - The `image` field should be a URL string (use the `/upload-url` endpoint to get a one-time upload URL first)